- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKLine Struct Reference

`#include <IWORKTypes.h>`

## Public Member Functions
| IWORKLine ()

## Public Attributes
IWORKGeometryPtr_t | m_geometry
IWORKStylePtr_t | m_style
boost::optional< double > | m_x1
boost::optional< double > | m_y1
boost::optional< double > | m_x2
boost::optional< double > | m_y2

## Constructor & Destructor Documentation

libetonyek::IWORKLine::IWORKLine | ( |  | ) |

## Member Data Documentation

IWORKGeometryPtr_t libetonyek::IWORKLine::m_geometry

IWORKStylePtr_t libetonyek::IWORKLine::m_style

boost::optional<double> libetonyek::IWORKLine::m_x1

boost::optional<double> libetonyek::IWORKLine::m_x2

boost::optional<double> libetonyek::IWORKLine::m_y1

boost::optional<double> libetonyek::IWORKLine::m_y2

The documentation for this struct was generated from the following files:

- IWORKTypes.h
- IWORKTypes.cpp